/**************************************************************************************************************************************************
*       stdef.h             Standard Definitions File                                                                                             *
*                                                                                                                                                 *
*       Author:             Mike Claassen                                                                                                         *
*                                                                                                                                                 *
*       Revision Date:      December 2007                                                                                                         *
*                                                                                                                                                 *
*       Revision Level:     1st pass                                                                                                              *
*                                                                                                                                                 *
*       For Support:        https://e2e.ti.com/support/development_tools/mavrk/default.aspx                                                       *
*                                                                                                                                                 *
***************************************************************************************************************************************************
*       Copyright ?2009-2010 Texas Instruments Incorporated - http://www.ti.com/                                                                 *
***************************************************************************************************************************************************
*  Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met: *
*                                                                                                                                                 *
*    Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.                 *
*                                                                                                                                                 *
*    Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the        *
*    documentation and/or other materials provided with the distribution.                                                                         *
*                                                                                                                                                 *
*    Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived      *
*    from this software without specific prior written permission.                                                                                *
*                                                                                                                                                 *
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT          *
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT     *
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT         *
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY    *
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE      *
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.                                                                           *
***************************************************************************************************************************************************
*                                 MODULE CHANGE LOG                                                                                               *
*                                                                                                                                                 *
*       Date Changed:             {date of change}                Developer:       {developer name}                                               *
*       Change Description:       {describe change}                                                                                               *
*                                                                                                                                                 *
**************************************************************************************************************************************************/
/**************************************************************************************************************************************************
*               Union Structures and Definitions                                                                                                  *
**************************************************************************************************************************************************/
#ifndef STDEF_H
#define STDEF_H

//TYPE Definitions
//Boolean
typedef unsigned char       BOOL;

// Data
typedef unsigned char       BYTE;
typedef unsigned short      WORD;
typedef unsigned long       DWORD;

// Unsigned numbers
typedef unsigned char       UINT8;
typedef unsigned short      UINT16;
typedef unsigned long       UINT32;

// Signed numbers
typedef signed char         INT8;
typedef signed short        INT16;
typedef signed long         INT32;

// BITWISE Definitions
#ifndef DISABLE
  #define DISABLE               0
#endif

#ifndef ENABLE
  #define ENABLE                1
#endif

#ifndef DEFAULT_DISABLE
  #define DEFAULT_DISABLE       0
#endif

#ifndef DEFAULT_ENABLE
  #define DEFAULT_ENABLE        1
#endif

#ifndef DISABLED
  #define DISABLED              0
#endif

#ifndef ENABLED
  #define ENABLED               1
#endif

#ifndef DEFAULT_DISABLED
  #define DEFAULT_DISABLED      0
#endif

#ifndef DEFAULT_ENABLED
  #define DEFAULT_ENABLED       1
#endif

#ifndef LOW
  #define LOW                   0
#endif

#ifndef HIGH
  #define HIGH                  1
#endif

#ifndef DEFAULT_LOW
  #define DEFAULT_LOW           0
#endif

#ifndef DEFUALT_HIGH
  #define DEFAULT_HIGH          1
#endif

#ifndef ACTIVE
  #define INACTIVE              0
#endif

#ifndef ACTIVE
  #define ACTIVE                1
#endif

#ifndef CLEAR
  #define CLEAR                 0
#endif

#ifndef SET
  #define SET                   1
#endif

#ifndef OFF
  #define OFF                   0
#endif

#ifndef ON
  #define ON                    1
#endif

#ifndef FALSE
  #define FALSE                 0
#endif

#ifndef TRUE
  #define TRUE                  1
#endif

#ifndef NULL
  #define NULL                  0
#endif

#define BV(n)               (1<<n)
#define SetBit(reg, bit)    reg|=BV(bit)
#define ResetBit(reg, bit)  reg&=~BV(bit)

#endif                        //STDEF_H